<div class="container border mt-4" style="width: 35rem;">
    <h3 class="text-secondary text-center mt-2" >Registro App Precios de Carburantes</h3>
    <form class="m-2">
        <div class="form-group">
            <label for="email">Email:</label>
            <input type="email" class="username form-control" id="email" aria-describedby="emailHelp" placeholder="Introduce email">
        </div>
        <div class="form-group">
            <label for="password">Password:</label>
            <input type="password" class="password form-control" id="password" placeholder="Password">
        </div>
        <div class="form-group">
            <label for="ciudad">Ciudad:</label>
            <select class="form-control ciudad" >
                <option value="01">Alava</option>
                <option value="02">Albacete</option>
                <option value="03">Alicante</option>
                <option value="04">Almeria</option>
                <option value="05">Ávila</option>
                <option value="06">Badajoz</option>
                <option value="07">Baleares</option>
                <option value="08">Barcelona</option>
                <option value="09">Burgos</option>
                <option value="10">Cáceres</option>
                <option value="11">Cádiz</option>
                <option value="12">Castellón</option>
                <option value="13">Ciudad Real</option>
                <option value="14">Córdoba</option>
                <option value="15">A Coruña</option>
                <option value="16">Cuenca</option>
                <option value="17">Girona</option>
                <option value="18">Granada</option>
                <option value="19">Guadalajara</option>
                <option value="20">Guipuzcoa</option>
                <option value="21">Huelva</option>
                <option value="22">Huesca</option>
                <option value="23">Jaen</option>
                <option value="24">León</option>
                <option value="25">Lleida</option>
                <option value="26">La Rioja</option>
                <option value="27">Lugo</option>
                <option value="28">Madrid</option>
                <option value="29">Málaga</option>
                <option value="30">Murcia</option>
                <option value="31">Navarra</option>
                <option value="32">Ourense</option>
                <option value="34">Palencia</option>
                <option value="35">Las Palmas</option>
                <option value="36">Pontevedra</option>
                <option value="37">Salamanca</option>
                <option value="38">Sta Cruz de Tenerife</option>
                <option value="39">Cantabria</option>
                <option value="40">Segovia</option>
                <option value="41">Sevilla</option>
                <option value="42">Soria</option>
                <option value="43">Tarragona</option>
                <option value="44">Teruel</option>
                <option value="45">Toledo</option>
                <option value="46">Valencia</option>
                <option value="47">Valladolid</option>
                <option value="48">Vizcaya</option>
                <option value="49">Zamora</option>
                <option value="50">Zaragoza</option>
                <option value="51">Ceuta</option>
                <option value="52">Melilla</option>
            </select>
        </div>
        <button id="registro" type="submit" class="btn btn-primary">Regístrate</button>
    </form>
</div>

<script type="application/javascript">

    let botonRegistro = document.querySelector("#registro");
    botonRegistro.addEventListener('click', register);


    function register (event) {
        const user = {
            "user": {
                "email": document.querySelector(".username").value,
                "password": document.querySelector(".password").value,
                "ciudad": document.querySelector(".ciudad").value
            }
        };
        console.log(user);

        event.preventDefault();
        let url = 'http://localhost:8000/api/users/';

        fetch(url, {
            method: 'POST', // or 'PUT'
            body: JSON.stringify(user), // data can be `string` or {object}!
            headers:{
                'Content-Type': 'application/json'
            }
        }).then(res => res.json())
                .catch(error => console.error('Error:', error))
                .then(response => {
                    if(response){
                        localStorage.setItem('Token', response.token);
                        redirect: window.location.replace("/login")
                    } else{
                        alert("Invalid Email or Password");
                    }

                    console.log('Registro con éxito:', response)}
                );
    }

</script>
